Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81669 - GStreamer failes due to behaviour in NPTL
Summary: GStreamer failes due to behaviour in NPTL
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: glibc
Version: phoebe
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-12 16:16 UTC by Christian Schaller
Modified: 2016-11-24 15:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 06:45:42 UTC


Attachments (Terms of Use)

Description Christian Schaller 2003-01-12 16:16:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
We seem to have issues with g_cond handling in nptl. There is a chance the issue
is how we use g_cond, but we think it is a bug in NPTL that cause it. A cond
signal should not be delivered to a cond_wait that was not running at the time
of the signal AFAIK

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Run the test1 applications attached to gnome bugzilla report linked to from this
report. (It is C using only glib) 

There is also a test2 application which might be of interest, showing our
current workaround. 

Actual Results:  they fail and expose the issue

Expected Results:  na

Additional info:

Comment 1 Jakub Jelinek 2003-01-12 16:51:35 UTC
Which exact NPTL version? pre-2003-01-02 or after it (when condvars were rewritten)?
I cannot find any differences in the first test program between current NPTL
and linuxthreads runs.

Comment 2 Christian Schaller 2003-01-12 19:24:07 UTC
This is using the glibc version that came bundled with Phoebe so yes I would
expect it to be from before 2003-01-02. I will try and rebuild glibc version
from Rawhide and see how that fares.

Comment 3 Christian Schaller 2003-01-14 06:45:42 UTC
Managed to get glibc from Rawhide compiled and installed. And true enough the
tests works well using that glibc. Closing this bug. Thanks for the help.


Note You need to log in before you can comment on or make changes to this bug.